Name:           perl-Data-UUID
Version:        1.226
Release:        1
Summary:        Perl extension for generating Globally/Universally Unique Identifiers (GUIDs/UUIDs)
License:        BSD and MIT
URL:            https://metacpan.org/release/Data-UUID
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/Data-UUID-%{version}.tar.gz

BuildRequires:  coreutils findutils gcc make perl-interpreter perl-devel perl-generators perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker) perl(File::Spec) perl(Getopt::Long) perl(Pod::Usage)
BuildRequires:  perl(warnings) perl(Carp) perl(Digest::MD5) perl(DynaLoader) perl(Exporter) perl(strict)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module provides a framework for generating UUIDs (Universally Unique Identifiers, also known as
GUIDs (Globally Unique Identifiers). A UUID is 128 bits long, and is guaranteed to be different from
all other UUIDs/GUIDs generated until 3400 A.D. UUIDs were originally used in the Network Computing
System (NCS) and later in the Open Software Foundation's (OSF) Distributed Computing Environment.
Currently many different technologies rely on UUIDs to provide unique identity for various software
components, Microsoft COM/DCOM for instance, uses GUIDs very extensively to uniquely identify classes,
applications and components across network-connected systems.

%package help
Summary:        Help package for %{name}

%description help
This package contains some man help files for %{name}.

%prep
%autosetup -n Data-UUID-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}

%check
make test AUTHOR_TESTING=1
perl smp-test/collision.t

%files
%doc Changes LICENSE README
%{perl_vendorarch}/auto/Data/
%{perl_vendorarch}/Data/
%exclude %{perl_vendorarch}/auto/Data/UUID/.packlist

%files help
%{_mandir}/man3/Data::UUID.3*

%changelog
* Tue Jun 14 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.226-1
- Upgrade to version 1.226

* Tue Nov 19 2019 lingsheng <lingsheng@huawei.com> - 1.221-13
- Package init
